import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaProbeStatus } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaProbeStatusService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaProbeStatus[]> {
    return this.rpcService.call('MetaProbeStatusService.readAll');
  }
}
